﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[EVTMMG]') AND name = N'XEVTMMG1')
BEGIN 
PRINT 'Creating index XEVTMMG1 on table EVTMMG'
CREATE UNIQUE NONCLUSTERED INDEX [XEVTMMG1] ON [dbo].[EVTMMG] 
(
	[SKUN] ASC,
	[MMGN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'EVTMMG' AND COLUMN_NAME = 'IDEL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_EVTMMG_IDEL')
BEGIN 
    PRINT 'Creating default constraint DF_EVTMMG_IDEL on table EVTMMG' 
    ALTER TABLE [dbo].[EVTMMG]
    ADD CONSTRAINT [DF_EVTMMG_IDEL] DEFAULT ((0)) FOR [IDEL]
END 
GO

